Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(24)

Issue 6842127: code review 6842127: net: align deadline fields on 8 byte boundaries (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 7 months ago by dfc
Modified:
9 years, 6 months ago
CC:
golang-dev
Visibility:
Public.

Description

net: align deadline fields on 8 byte boundaries This is a workaround for issue 599. Assuming the test in fd_unix_test.go passes, then 64bit atomics should be safe to use on the deadline fields, nee CL 6855110. sizeof netFD on 386 is 112 bytes.

Patch Set 1 #

Patch Set 2 : diff -r 87d3b86bcc68 https://code.google.com/p/go #

Patch Set 3 : diff -r 87d3b86bcc68 https://code.google.com/p/go #

Total comments: 1

Patch Set 4 : diff -r 87d3b86bcc68 https://code.google.com/p/go #

Patch Set 5 : diff -r 87d3b86bcc68 https://code.google.com/p/go #

Unified diffs Side-by-side diffs Delta from patch set Stats (+31 lines, -5 lines) Patch
M src/pkg/net/fd_unix.go View 1 2 3 2 chunks +16 lines, -5 lines 0 comments Download
M src/pkg/net/fd_unix_test.go View 1 2 chunks +15 lines, -0 lines 0 comments Download

Messages

Total messages: 5
bradfitz
LGTM https://codereview.appspot.com/6842127/diff/4001/src/pkg/net/fd_unix.go File src/pkg/net/fd_unix.go (right): https://codereview.appspot.com/6842127/diff/4001/src/pkg/net/fd_unix.go#newcode22 src/pkg/net/fd_unix.go:22: // guarentees they will be aligned so long ...
9 years, 7 months ago (2012-12-01 02:09:00 UTC) #1
dfc
Hello bradfitz@golang.org, minux.ma@gmail.com, rsc@golang.org (cc: golang-dev@googlegroups.com), I'd like you to review this change to https://code.google.com/p/go
9 years, 7 months ago (2012-12-01 06:31:39 UTC) #2
dfc
Tested on arm6, sizeof netFD is 112 bytes (as expected).
9 years, 7 months ago (2012-12-02 04:40:18 UTC) #3
remyoudompheng
Fixing the whole toolchain seems short but hard, so LGTM
9 years, 7 months ago (2012-12-02 13:07:35 UTC) #4
dfc
9 years, 6 months ago (2012-12-21 04:35:25 UTC) #5
Message was sent while issue was closed.
*** Abandoned ***
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b